package ru.fincode.tsudesk.feature.schedule.domain.model

import ru.fincode.tsudesk.feature.schedule.data.local.ScheduleCacheKey

sealed interface ScheduleType {

    fun toCacheKey(): String

    data class Group(val number: String) : ScheduleType {
        override fun toCacheKey(): String =
            ScheduleCacheKey.group(number)
    }

    data class Teacher(val name: String) : ScheduleType {
        override fun toCacheKey(): String =
            ScheduleCacheKey.teacher(name)
    }
}
